<?php
namespace Claromentis\Menu;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1zZw=" . "="), "_f88c0980467f3" . "04d271bba91bea" . "8da3f" => base64_decode("bWVudV9idWlsZGVyLnBhZ" . "2U="), "_787716e85b3b1de" . "5c15456747d65bab" . "1" => base64_decode("bWVudV9idWlsZGV" . "yLmxpbms="), "_7631abf8f23410319b7115e54aa" . "60c6d" => base64_decode("bWVudV9idWlsZG" . "VyLmZvbGRlcg=="));






class NodeType
{
    const PAGE = 1;
    const LINK = 2;
    const FOLDER = 3;
    public static function GetDescription($type)
    {
        static $node_type_descr_localized;
        if (!isset($node_type_descr_localized)) {
            $node_type_descr_localized = array(self::PAGE => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f88c0980467f304d27" . "1bba91bea8da3f"]), self::LINK => $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_787716e85b3b1d" . "e5c15456747d65b" . "ab1"]), self::FOLDER => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7631abf8f2341" . "0319b7115e54aa" . "60c6d"]));
        }
        if (isset($node_type_descr_localized[$type])) {
            return $node_type_descr_localized[$type];
        } else {
            return null;
        }
    }
    public static function GetByCode($code)
    {
        static $node_types = array("page" => self::PAGE, "link" => self::LINK, "folder" => self::FOLDER);
        if (isset($node_types[$code])) {
            return $node_types[$code];
        } else {
            return null;
        }
    }
    public static function GetCode($type)
    {
        static $codes = array(self::PAGE => "page", self::LINK => "link", self::FOLDER => "folder");
        if (isset($codes[$type])) {
            return $codes[$type];
        } else {
            return null;
        }
    }
}